Capsule: Puppet content  doesn't appear  to be published to /etc/puppet/environments on capsule
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1103277

Description of problem:

When content is synced from Satellite 6 to Capsule, it doesn't appear that the puppet content from the Satellite is making its way to

the Capsule (i.e. /etc/puppet/environments)

Version-Release number of selected component (if applicable):

katello-1.5.0-25.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. install/configure sat6

2. install/configure capsule (in my case, it is on a separate machine from the sat6)

on the sat6 server:

3. sync some rhel content (e.g. 6Server)

4. create a custom repo and import some puppet modules

5. create a content view

6. add the content from 3 & 4 to the content view

7. publish a content view version

8. associate the capsule (from 2) with the Library using the cli, e.g.

capsule content add-lifecycle-environment --id 4 --environment-id 1

9. sync the content to the capsule, e.g.

capsule content synchronize --id 4

Actual results:

Satellite 6:  /etc/puppet/environments has content (e.g. KT_ACME_Corporation_Library_WordPress__Application_3)

Capsule: /etc/puppet/environments is empty

Expected results:

Capsule: /etc/puppet/environments should have the same environments that were in

Additional info:

Associated revisions

Revision e57e3ccd - 06/02/2014 12:06 PM - Ivan Necas

Fixes #6008 - Puppet environments synchronization capsule synchronization

Revision c2bf1861 - 06/03/2014 06:28 AM - Ivan Necas
Merge pull request #4192 from iNecas/capsule-puppet

Fixes #6008 - Puppet environments capsule synchronization

History

#1 - 06/02/2014 12:03 PM - Ivan Necas

- Status changed from New to Assigned

- Triaged set to No

#2 - 06/02/2014 12:24 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/03/2014 06:29 AM - Ivan Necas

- Status changed from Assigned to Closed

https://github.com/Katello/katello/pull/4192

#4 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 07/07/2020 04:42 PM - Donna Garcia

If you are facing a problem in making your project of coolessay, then you can visit this site. This will help you in solving your problem. You can get the

help of any subject. That is not important that you can post the problem of only maths subject.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://github.com/Katello/katello/pull/4192
https://www.dissertationhqhelp.com/coolessay-net-review-3-10/
http://www.tcpdf.org

